import { ButtonHTMLAttributes, DetailedHTMLProps } from 'react';
declare const buttonStyles: {
    approve: string;
    reject: string;
    default: string;
    warning: string;
};
export interface ButtonProps extends DetailedHTMLProps<ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> {
    variant?: keyof typeof buttonStyles;
    children: React.ReactNode;
    type?: 'button' | 'reset' | 'submit';
}
declare function Button({ variant, children, type, className, ...props }: ButtonProps): JSX.Element;
declare namespace Button {
    var displayName: string;
}
export { Button };
