import flatpickr from 'flatpickr';
import React from 'react';
import DatePicker from 'react-flatpickr';
import { DateTimePickerProps } from 'react-flatpickr';
import Icons from './icons';
import './FlatPicker.css';
interface FlatPickerProps {
    title?: string;
    placeholder?: string;
    onChangeHandler: flatpickr.Options.Hook;
    dateFormat?: string;
    value?: string | Date | number;
    minDate?: true | Date;
    enableTime?: boolean;
    minTime?: string;
    maxTime?: string;
    icon?: keyof typeof Icons;
    className?: string;
    innerClassName?: string;
    titleClassName?: string;
    id?: string;
}
declare function FlatPicker({ title, onChangeHandler, value, minDate, enableTime, placeholder, dateFormat, minTime, maxTime, className, innerClassName, titleClassName, icon, id, }: FlatPickerProps): JSX.Element;
declare namespace FlatPicker {
    var displayName: string;
}
interface ITimePicker extends DateTimePickerProps {
    label?: string;
    icon?: keyof typeof Icons;
    innerClassName?: string;
    titleClassName?: string;
}
declare const TimePicker: React.ForwardRefExoticComponent<ITimePicker & React.RefAttributes<DatePicker>>;
export { FlatPicker, TimePicker };
export type { FlatPickerProps, ITimePicker };
