import { ComponentType, PropsWithChildren, ReactNode } from 'react';
declare type MenuComponentType = ComponentType<PropsWithChildren<any> & {
    title?: string;
    className?: string;
}> | undefined;
interface IOptionProps<T extends MenuComponentType> {
    Icon: SVGType;
    text: string;
    active?: boolean;
    Interactable?: T extends ComponentType<infer P> ? ComponentType<P> : undefined;
    props: T extends ComponentType<infer P> ? Omit<P, 'children'> : JSX.IntrinsicElements['button'];
}
interface INestedOption<T extends MenuComponentType> {
    title: string;
    options: IOptionProps<T>[];
}
interface IPersonProps<T extends MenuComponentType> {
    name: string;
    detail: string;
    image: string;
    personOptions: IOptionProps<T>[];
    fallback?: string;
}
interface IMenuProps<T extends MenuComponentType> {
    Logo: SVGType;
    title: ReactNode;
    person: Omit<IPersonProps<T>, 'personOptions'>;
    options: Array<IOptionProps<T> | INestedOption<T>>;
    personOptions: IOptionProps<T>[];
    children?: React.ReactNode;
    className?: string;
    fallback?: string;
}
export type { IMenuProps, IOptionProps, IPersonProps, INestedOption, MenuComponentType, };
