/// <reference types="react" />
import { optionIcon } from './data';
export interface IOptionCard {
    text: string;
    icon: keyof typeof optionIcon | SVGType | string;
    description?: string;
    onClick?: () => void;
    fallback?: string | SVGType;
}
/**
 * `icon` prop can receive one of the accepted strings or an SVG. Remove the width and height from the svg to let the component assign it the ideal width.
 */
declare function OptionCard({ text, icon, description, onClick, fallback, }: IOptionCard): JSX.Element;
declare namespace OptionCard {
    var displayName: string;
}
export { OptionCard };
