interface IinfoSelect {
    value: string;
    label: string;
}
interface IInput {
    placeHolder: string;
    type: 'number' | 'text';
}
interface ISelect {
    textDefault: string;
    data: IinfoSelect[];
}
interface IButton {
    text: string;
    onPressed: () => void;
}
interface IIconButton {
    Icon: SVGType;
    onPressed: () => void;
}
interface IEditMode {
    input: IInput;
    select_one: ISelect;
    select_two: ISelect;
    select_three: ISelect;
    buttonApprove: {
        text: string;
        onPressed: (inputValue: string, selectOneValue: string, selectTwoValue: string, selectThreeValue: string) => void;
    };
    buttonCancel: IButton;
}
interface ISaveMode {
    data: {
        value: string;
        Icon: SVGType;
    }[];
    buttonSurcharges: {
        number: number;
        text: string;
        Icon: SVGType;
    };
    buttonEdit: IIconButton;
    buttonDelete: IIconButton;
}
declare type IRates = ({
    mode: 'save';
} & ISaveMode) | ({
    mode: 'edit';
} & IEditMode);
export type { IRates, IEditMode, ISaveMode };
