/// <reference types="react" />
import { TableProps } from './data';
declare function Table<T extends object>({ children, tableData, tableColumns, rowClickHandler, columnFilters, copies, className, }: TableProps<T>): JSX.Element;
declare namespace Table {
    var ColumnsFilter: ({ zIndex }: {
        zIndex?: number | undefined;
    }) => JSX.Element;
    var Country: ({ value }: {
        value: string;
    }) => JSX.Element;
    var Currency: ({ value, locale, currency, decimals, }: {
        value: number;
        locale?: string | undefined;
        currency?: string | undefined;
        decimals?: number | undefined;
    }) => JSX.Element;
    var DataTable: ({ className }: {
        className?: string | undefined;
    }) => JSX.Element;
    var Date: ({ value }: {
        value: string;
    }) => JSX.Element;
    var DefaultColumnFilter: <T extends object = any>({ column: { filterValue, preFilteredRows, setFilter }, }: import("react-table").FilterProps<T>) => JSX.Element;
    var ExportButton: () => JSX.Element;
    var GlobalFilter: () => JSX.Element;
    var TimeToService: ({ value }: {
        value: string;
    }) => JSX.Element;
    var displayName: string;
}
export { Table };
