import { ReactNode, ReactElement, ComponentType } from 'react';
interface TabChildProps {
    children: ReactNode | (() => ReactNode);
    eventKey: string;
    title: string;
}
interface TabListProps {
    children: ReactNode | ReactNode[];
    className?: string;
}
interface TabsProps {
    children: ReactElement<TabListProps>;
    activeKey: string;
    variant: 'H' | 'V';
    className?: string;
    containerClassName?: string;
    breakpoint?: `${number}${'px' | 'em' | 'ex' | 'rem' | 'ch'}`;
    onChange?: (tab: string) => void;
    fallback?: string;
    NoTab?: ComponentType<{
        className: string;
    }>;
}
interface TabsContextType {
    setActive: (tab: string) => void;
    isActive: (id: string) => boolean;
    panel: HTMLElement | undefined;
    setFallback: () => void;
}
interface TabPanelProps {
    className?: string;
    NoTab?: ComponentType<{
        className: string;
    }>;
}
interface RepositoryProps {
    children: JSX.Element;
    value: TabsContextType;
}
export type { TabsProps, TabChildProps, TabListProps, TabsContextType, RepositoryProps, TabPanelProps, };
